/*
Platinenhalter zur Aufbewahrung von NKC Boards
- konfigurierbare Breite ("schmal", "breit", "euro")
- konfigurierbare Anzahl (2 ... 10)
*/

task("schmal", anzahl=5);

pThick = 2.0;		// Dicke des Platinenmaterials 2.0 / 2.5
pDist = 17.0;		// Abstand zweier Platinen


module task(what, anzahl) {

	if (what=="schmal") {
		// schmale Platinen 101 mm
		translate([-101/2, -(anzahl*pDist/2), 0]) halter(101, anzahl);
	} 

	if (what=="breit") {
		// breite Platinen 146 mm
		translate([-146/2, -(anzahl*pDist/2), 0]) halter(146, anzahl);
	} 

	if (what=="euro") {
		// breite Platinen 160 mm
		translate([-160/2, -(anzahl*pDist/2), 0]) halter(160, anzahl);
	} 

} // END Module


$fn = 50;
sec = 0.05;

// Konstanten 

tGround = 2.5;	// Stärke der Grundplatte
tWall = 5.0;		// Stärke der Wand
hWall = 15.0;		// Höhe der Wand
eWall = 2.5;		// Einschnitte in Wand
aBack = 2.5;		// Abstand des Einschnitts von hinten


module halter(pWidth, anzahl) {

	for (i = [0:anzahl-1]) {
		translate([0,i*pDist,0])
		union() {
			// Grundplatte
			difference() {
				cube([pWidth+2*tWall-2*eWall, pDist, tGround]);
				translate([2*tWall, tWall, -sec/2])  cube([pWidth-2*tWall-2*eWall, pDist-2*tWall, tGround+sec]);
			}
			// linke Wand
			difference() {
				translate([0, 0, 0])  cube([tWall, pDist, hWall]);
				translate([tWall-eWall, pDist-pThick-aBack, tGround])  cube([eWall+sec, pThick+sec, hWall-tGround+sec]);
			}
			// rechte Wand
			difference() {
				translate([pWidth, 0, 0])  cube([tWall, pDist, hWall]);
				translate([pWidth-sec, pDist-pThick-aBack, tGround])  cube([eWall+sec, pThick+sec, hWall-tGround+sec]);
			}
		}
	} // end for
} // end module


